stages:
  - build
  - test

before_script:
  - echo "$CI_REGISTRY_PASSWORD" | docker login --username "$CI_REGISTRY_USER" --password-stdin "$CI_REGISTRY"


build_image:
  image: docker:latest
  stage: build
  services:
    - docker:dind
  script:
    - docker build --pull -t $CI_REGISTRY_IMAGE:latest . && docker push $CI_REGISTRY_IMAGE:latest




test_i2b2rls:
  image: docker:latest
  stage: test
  services:
    - docker:dind
  script:
    - docker pull uklfr/i2b2-pg:latest
    - docker pull uklfr/i2b2-wildfly:latest
    - docker pull $CI_REGISTRY_IMAGE:latest

    - docker network create i2b2-net
    - docker run -p 5432:5432 -e POSTGRES_PASSWORD=password  --network i2b2-net --net-alias=i2b2-pg uklfr/i2b2-pg:latest &
    - docker run -p 8080:8080  -p 9990:9990 -p 9009:9009 --network i2b2-net uklfr/i2b2-wildfly:latest &
    - sleep 90
    - docker run  --network i2b2-net  $CI_REGISTRY_IMAGE:latest bash -c "cd /app/ && pytest --cov=."
